Update a merchant

PATCH
/v1/merchants/{merchantId}

Authorization

apiKey
headerApi-Key<token>

Partner API key.

Path Parameters

merchantId*string

Request Body

application/json
  1. body
merchantName?string

Updated display name

Length2 <= length <= 64
merchantEmail?string

Updated contact email

Match^(?:[A-Za-z0-9_'+\-]+\.)*[A-Za-z0-9_'+\-]*[A-Za-z0-9_+-]@(?:[A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
Formatemail
iconUrl?|

Updated logo URL (HTTPS only), or null to unset. Logo should be square (1:1, ±5%), 500×500px minimum (1024×1024px recommended, 4096×4096px maximum), JPEG/PNG/WebP, up to 2 MB.

alwaysCollectData?boolean

When true, every checkout forces the buyer to provide compliance data, even repeat buyers whose data is already on file.

mcc?|

Updated ISO 18245 merchant category code, or null to unset.

Response Body

Merchant updated

application/json
  1. response
merchant*
curl -X PATCH 'https://api.merchant.pay.walletconnect.com/v1/merchants/string' \  -H 'Content-Type: application/json' \  -d '{}'
{  "merchant": {    "id": "mrch_7kBz2qR9xPvLmN4Yw",    "name": "Acme Store v2",    "email": "billing@acme.store",    "status": "active",    "iconUrl": "https://imagedelivery.net/example/acme-icon.png",    "mcc": 5812,    "createdAt": "2025-06-15T10:30:00.000Z"  }}